Summary:	A network address discovering tool
Name:		netdiscover
Version:	0.20
Release:	%mkrel 1
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/netdiscover-scanner/netdiscover
Source0:	https://github.com/netdiscover-scanner/netdiscover/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libpcap-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	wget
BuildRequires:	libtool
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(hwdata)

%description
Netdiscover is a network address discovering tool, developed mainly for those
wireless networks without dhcp server, but it also works on hub/switched
networks. Its based on arp requests, it will send arp requests and sniff for
replies.

%prep
%autosetup -p1

%build
cp -p %{_datadir}/hwdata/oui.txt ./oui.txt-$(date +%Y%m%d)
LC_ALL=C sh update-oui-database.sh --no-download
NOCONFIGURE=1 ./autogen.sh

%configure

%make_build

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_prefix}/doc

%files
%doc AUTHORS ChangeLog README* TODO COPYING NEWS
%{_sbindir}/*
%{_mandir}/man8/*


%changelog
* Wed May 21 2025 ns80 <ns80> 0.20-1.mga10
+ Revision: 2185511
- new version 0.20

* Wed Feb 01 2023 daviddavid <daviddavid> 0.10-1.mga9
+ Revision: 1937498
- new version: 0.10
- new Url and Source Url

* Tue Mar 29 2022 umeabot <umeabot> 0.3-0.beta7.12.mga9
+ Revision: 1831102
- Mageia 9 Mass Rebuild

* Thu Aug 06 2020 joequant <joequant> 0.3-0.beta7.11.mga8
+ Revision: 1611621
- fix multiple defines

* Thu Feb 13 2020 umeabot <umeabot> 0.3-0.beta7.10.mga8
+ Revision: 1515353
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3-0.beta7.9.mga7
+ Revision: 1299707
- Mageia 7 Mass Rebuild

* Sat May 14 2016 daviddavid <daviddavid> 0.3-0.beta7.8.mga6
+ Revision: 1015506
- update to r118 from 0.3_beta7 release thus fixing build
- use a valid URL
- add two patches from debian to fix some spelling
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-0.beta7.7.mga5
+ Revision: 742546
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-0.beta7.6.mga5
+ Revision: 682850
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-0.beta7.5.mga4
+ Revision: 502360
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.3-0.beta7.3.mga3
+ Revision: 285058
- imported package netdiscover

